import 'package:flutter/material.dart';
import 'dart:async';

import 'package:flutter_pgyer/flutter_pgyer.dart';
import 'package:permission_handler/permission_handler.dart';

void main() => FlutterPgyer.reportException(() => runApp(MyApp()));

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  String _platformVersion = 'Unknown';

  @override
  void initState() {
    super.initState();
    Permission.phone.request().then((value) => initPlatformState());
  }

  // Platform messages are asynchronous, so we initialize in an async method.
  Future<void> initPlatformState() async {
    if (!mounted) return;
    // Platform messages may fail, so we use a try/catch PlatformException.
    FlutterPgyer.init(
        iOSAppKey: "4f99bc61834e24070a9dc8dfcc848b75",
        androidApiKey: "63e7826867771b618a84506bc9eefb2e",
        frontJSToken: "44f5a0de2ec979b186c13723e1c3eb6d",
        // iOSAppKey: "your ios appkey",
        // androidApiKey: "your android apikey",
        // frontJSToken: "your frontjs token",
        callBack: (result) {
          setState(() {
            _platformVersion = result.message;
          });
        });
    FlutterPgyer.setEnableFeedback(
        enable: false, param: {"test": "dddddd", "test1": "dddddd1"});
    FlutterPgyer.onCheckUpgrade.listen((result) {
      if (result.model is IOSCheckModel) {
        print("ios callback ${result.checkEnum}");
      } else {
        print("android callback ${result.checkEnum}");
      }
    });
    FlutterPgyer.checkSoftwareUpdate();
    // FlutterPgyer.checkVersionUpdate();
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
        body: Center(
          child: GestureDetector(
            child: Text('初始化: $_platformVersion\n'),
            onTap: () {
              // FlutterPgyer.checkVersionUpdate();
              FlutterPgyer.checkSoftwareUpdate(justNotify: false);
              // throw FlutterError("message");
            },
          ),
        ),
      ),
    );
  }
}
